﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SchoolModel.Repositories;
using SchoolModel;

namespace SchoolData.Repositories
{
    public class CourseRepository : ICourseRepository
    {
        SchoolContext _schoolContext;
        public CourseRepository()
        {
            _schoolContext = new SchoolContext();
        }
        public CourseRepository(SchoolContext schoolContext)
        {
            _schoolContext = schoolContext;
        }

        public Course GetCourseById(int id)
        {
            return _schoolContext.Courses.Where( d => d.CourseID == id).Single();
        }

        public IEnumerable<Course> GetAll()
        {
            return _schoolContext.Courses;
        }

        
    }
}
