﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SchoolModel.Repositories;
using SchoolModel;

namespace SchoolData.Repositories
{
    public class DepartmentRepository : IDepartmentRepository
    {
        SchoolContext _schoolContext;
        public DepartmentRepository()
        {
            _schoolContext = new SchoolContext();
        }
        public DepartmentRepository(SchoolContext schoolContext)
        {
            _schoolContext = schoolContext;
        }

        public Department GetDepartmentById(int id)
        {
            return _schoolContext.Departments.Where( d => d.DepartmentID == id).Single();
        }

        public IEnumerable<Department> GetAll()
        {
            var orders = from o in _schoolContext.Departments
                         select o;
            return _schoolContext.Departments;
        }

        public void AddDepartment(Department department)
        {
            //_schoolContext.Departments.AddObject(department);
        }
    }
}
