﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace SchoolModel
{
    public class Course
    {
        [Key()] 
        public int CourseID { get; set; }
        public string Title { get; set; }
        public int Credits { get; set; }
        public int DepartmentID { get; set; }
        public virtual Department Department { get; set; }
        public virtual List<StudentGrade> StudentGrades { get; set; }
        public virtual Person People { get; set; }
    }
}
